<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.ticket.WosafetyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.gyee.frame.model.ticket.Wosafety">
        <id column="ID" property="id" />
        <result column="WONUM" property="wonum" />
        <result column="STYLE" property="style" />
        <result column="OPERATE" property="operate" />
        <result column="NAME" property="name" />
        <result column="ADDRESS" property="address" />
        <result column="NUMUNIT" property="numunit" />
        <result column="ISEXECUTE" property="isexecute" />
        <result column="EQNAME" property="eqname" />
        <result column="DDMS" property="ddms" />
        <result column="SBMS" property="sbms" />
        <result column="EXECUTOR" property="executor" />
        <result column="ISRESTORE" property="isrestore" />
        <result column="REMARK1" property="remark1" />
        <result column="REMARK2" property="remark2" />
        <result column="REMARK3" property="remark3" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        ID, WONUM, STYLE, OPERATE, NAME, ADDRESS, NUMUNIT, ISEXECUTE, EQNAME, DDMS, SBMS, EXECUTOR, ISRESTORE, REMARK1, REMARK2, REMARK3
    </sql>

    <select id="selectMaxId" resultType="Integer">
        select max(id) from WOSAFETY
    </select>

</mapper>
